Bug 107781 - hardcoding red hat in spec
hardcoding red hat in spec
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: esound (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-22 17:25 EDT by Tom "spot" Callaway
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-13 22:53:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2003-10-22 17:25:01 EDT
In the esound spec, this is the second line:

%define __os_install_post  /usr/lib/rpm/redhat/brp-compress

...isn't this always done?

This breaks aurora, or specifically, anything that has a different vendor dir
than /usr/lib/rpm/redhat (aurora has /usr/lib/rpm/aurora).

When this line is removed, during rpm creation, it is run as:

/usr/lib/rpm/brp-compress

The only difference between these two scripts is:

--- /usr/lib/rpm/redhat/brp-compress    2003-09-17 07:36:32.000000000 -0500
+++ /usr/lib/rpm/brp-compress   2003-07-17 21:46:36.000000000 -0500
@@ -8,7 +8,7 @@
 cd $RPM_BUILD_ROOT
  
 # Compress man pages
-COMPRESS="gzip -9 -n"
+COMPRESS="gzip -9"
 COMPRESS_EXT=.gz
  
 for d in ./usr/man/man* ./usr/man/*/man* ./usr/info \

... and -n is the default, so they're really identical.

Suggestion:

Change the line to reference /usr/lib/rpm/brp-compress, or omit it altogether.
Comment 1 Warren Togami 2004-04-13 22:53:39 EDT
After some discussion with notting about this...
1) It was added on Aug 21 2002 by sopwith to "Fix some stupid bugs".
2) The top line looks wrong to me, while the bottom line does nothing.

So I removed both.  Please test -2 when it hits rawhide to make sure
this does not break anything.

Note You need to log in before you can comment on or make changes to this bug.